<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="./js/vue-myPlugin.js"></script>
</head>
<body>
    <div id="demo">
        <p v-my-directive="msg"></p>
    </div>


    <script>

        
        // 声明使用插件
        Vue.use(MyPlugin)            //内部会执行MyPlugin.install(Vue)
        Vue.myGlobalMethod()
        const vm = new Vue({
           el:"#demo",
           data:{
               msg: 'hrllo world'

           } 
        })
        vm.$myMethod()
    </script>
</body>
</html>